<template>
  <div class="container mt-5">
    <div class="row justify-content-center">
      <div class="col-md-8 center-align">
          <h2>Watching movies online</h2>
      </div>
    </div>
  </div>



</template>

<script>
import router from '../router';
import eventHub from '../eventHub';

export default {
    name: 'watch',
    data() {
        return {
            user: null
        }
    },
    mounted() {
        eventHub.$on('app-watch', (data) => {
            this.user = data;
            this.checkUserSubscription();
        })
    },
    beforeDestroy() {
        // removing eventHub listener
        eventHub.$off('app-watch');
    },
    methods: {
        checkUserSubscription() {
            if (!this.user) {
                return;
            }
            if (this.user.access_type == 'free') {
                router.push('/payment');
            }
        }
    }
}

</script>

<style scoped>

h2 {
    color: orange;
}
.center-align {
    text-align: center;
}
.nav-link {
    color:crimson;
    display: inline-block;
}
.nav-link:hover {
    color: orange;
}
.nav-link:active {
    color:chartreuse;
}

</style>
